

<form [formGroup]="adForm" (ngSubmit)="onSubmitForm()"  class="d-flex flex-column container">
  <mat-form-field>
  <input matInput placeholder="username" type="text" formControlName="username">
  </mat-form-field>
  <mat-form-field>
  <input matInput placeholder="password" type="password" formControlName="password">
  </mat-form-field>
  <button mat-raised-button [disabled]="adForm.invalid" type="submit" class="btn btn-primary"> Envoyer </button>
</form>

